Subject: Re: 25.0.92; Undefined behavior in lib/stdint.h

From: Paul Eggert <[email-masked]>
Date: Mon, 11 Apr 2016 00:23:15 -0700

> Could we maybe just remove stdint.h completely?  It should always be
> provided by the standard C library.

Unfortunately stdint.h is not portable in practice, as many C implementations 
don't conform to C11 or even to C99. It sounds like your platform has a problem 
in this area. Emacs provides a replacement stdint.h on platforms that don't 
conform to the standards.

I don't observe a problem with my clang installation (clang 3.7.0 on Fedora 23 
x86-64). I configured with './configure CC=clang', and on my platform the system 
stdint.h was fine so lib/stdint.h was not created. Perhaps you could look in 
your config.log near the strings "checking whether stdint.h ..." and see why 
your clang has problems with its stdint.h, and debug what went wrong. Another 
possibility is to futz with your CFLAGS to cajole clang into not issuing the 
bogus warning. Yet another possibility is to switch to GCC.